import { Ref, ShallowRef } from 'vue';
import { Placement, Strategy, Middleware } from '@floating-ui/dom';
import { SideObject, MiddlewareData } from '@floating-ui/core';
export interface AuthUpdateOptions {
    ancestorScroll: boolean;
    ancestorResize: boolean;
    elementResize: boolean;
    animationFrame: boolean;
}
export declare type UseFloatingOptions = {
    placement?: Placement;
    strategy?: Strategy;
    middleware?: Ref<Middleware[] | undefined> | Middleware[] | undefined;
};
export declare function useFloating(options?: UseFloatingOptions): {
    x: Ref<number | undefined>;
    y: Ref<number | undefined>;
    placement: Ref<Placement>;
    strategy: Ref<Strategy>;
    middlewareData: ShallowRef<MiddlewareData>;
    update: () => void;
    reference: Ref<HTMLElement | null>;
    floating: Ref<HTMLElement | null>;
};
export declare const arrow: (options: {
    element: Ref<HTMLElement | null> | HTMLElement;
    padding?: number | SideObject;
}) => Middleware;
